> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/diagnostic/gnmi-ping > perform GNMI ping test ## OpenAPI ````json GET /v1/diagnostic/gnmi-ping { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/diagnostic/gnmi-ping": { "get": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "deviceId", "in": "query", "description": "Device Id", "required": true, "schema": { "type": "integer", "format": "int64", "example": 12345678910, "minimum": 0 }, "example": 30000022569 } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DiagnosticGnmiPingGetResponse" } } } } }, "description": "perform GNMI ping test" } } }, "components": { "schemas": { "v1DiagnosticGnmiPingGetResponse": { "type": "object", "properties": { "results": { "type": "array", "items": { "$ref": "#/components/schemas/v1DiagnosticGnmiPingGetResponseResult" } } }, "additionalProperties": false }, "v1DiagnosticGnmiPingGetResponseResult": { "type": "object", "properties": { "address": { "type": "string", "example": "12001:0db8:85a3:0000:0000:8a2e:0370:7334", "description": "Address of the device on which the test was performed" }, "error": { "type": "string", "example": "device offline", "description": "If error is empty, the ping is success" }, "rtt": { "$ref": "#/components/schemas/googleProtobufDuration" }, "ttDeviceId": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false }, "googleProtobufDuration": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````